[android-components](../../../../index.md) / [mozilla.components.browser.session](../../../index.md) / [SessionManager](../../index.md) / [Snapshot](../index.md) / [Item](./index.md)

# Item

`data class Item` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/session/src/main/java/mozilla/components/browser/session/SessionManager.kt#L322)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Item(session: `[`Session`](../../../-session/index.md)`, engineSession: `[`EngineSession`](../../../../mozilla.components.concept.engine/-engine-session/index.md)`? = null, engineSessionState: `[`EngineSessionState`](../../../../mozilla.components.concept.engine/-engine-session-state/index.md)`? = null)` |

### Properties

| Name | Summary |
|---|---|
| [engineSession](engine-session.md) | `val engineSession: `[`EngineSession`](../../../../mozilla.components.concept.engine/-engine-session/index.md)`?` |
| [engineSessionState](engine-session-state.md) | `val engineSessionState: `[`EngineSessionState`](../../../../mozilla.components.concept.engine/-engine-session-state/index.md)`?` |
| [session](session.md) | `val session: `[`Session`](../../../-session/index.md) |
